Puppet Kick is not working
Status: Resolved   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Triaged:  Found in Releases: 1.9.0

Fixed in Releases:    

Description

I have installed the Foreman 1.9 on Amazon EC2 CentOS 6.5, getting issue while running the "Run Puppet"

Packages on Foreman and Puppet Master:

foreman-release-scl-1-1.el6.x86_64

foreman-proxy-1.9.0-1.el6.noarch

foreman-postgresql-1.9.0-1.el6.noarch

rubygem-hammer_cli_foreman-0.3.0-1.el6.noarch

foreman-release-1.9.0-1.el6.noarch

foreman-selinux-1.9.0-1.el6.noarch

foreman-installer-1.9.0-1.el6.noarch

foreman-debug-1.9.0-1.el6.noarch

foreman-1.9.0-1.el6.noarch

foreman-cli-1.9.0-1.el6.noarch

ruby193-rubygem-foreman_setup-3.0.2-1.fm1_9.el6.noarch

puppet-server-3.8.2-1.el6.noarch

puppet-3.8.2-1.el6.noarch

Packages on Pupper Client:

puppet-3.8.2-1.el6.noarch

- Configuration of Puppet Run on Foreman/puppet master:

- in foreman settings (More --> Settings), make sure you have puppetrun enabled.

- sudoers entry

Defaults:foreman-proxy !requiretty

foreman-proxy ALL = NOPASSWD: /usr/bin/puppet kick *

- Configuration on puppet client:

- puppet.conf

listen = true

report = true

server = XXXXXXXX.compute.internal

environment =  testing

environmentpath = $confdir/environments

- auth.conf

path /run

auth any

method save

allow XXXXXXXX.compute.internal

Getting below logs on foreman server which click "Run Puppet":

in /var/log/messages

Host XXXXXX.compute.internal failed: undefined method `status' for nil:NilClass

in /var/log/foreman-proxy/proxy.log

D, [2015-08-31T07:17:50.803497 #32430] DEBUG -- : verifying remote client 172.29.0.132 against trusted_hosts
ip-172-29-0-132.ap-southeast-1.compute.internal

D, [2015-08-31T07:17:50.804148 #32430] DEBUG -- : about to execute: /usr/bin/sudo u root /usr/bin/puppet kick --host

XXXXXXXX.compute.internal

W, [2015-08-31T07:17:51.888588 #32430]  WARN - : Non-null exit code when executing

'/usr/bin/sudo-uroot/usr/bin/puppetkick--hostXXXXXXXX.compute.internal'

E, [2015-08-31T07:17:51.888823 #32430] ERROR -- : Failed puppet run: Check Log files

172.29.0.132 - - [31/Aug/2015 07:17:51] "POST /run HTTP/1.1" 500 34 1.0859

Logs on puppet client, /var/log/puppet/http.log

[2015-08-31 07:36:51] 172.29.0.132 - - [31/Aug/2015:07:36:51 UTC] "PUT /production/run/XXXXXXXX.compute.internal HTTP/1.1"

404 50

[2015-08-31 07:36:51] - -> /production/run/XXXXXXXX.compute.internal

Please let me know if any thing else is required in above from my side, also assign this to the concerned person who knows about

this issue.

It would be helpful if i can get some good documentation on puppetssh and mcollective(opensource) integration with foreman.

Please let me know if any thing

History

#1 - 09/01/2015 04:40 AM - Dominic Cleal

- Assignee deleted (Aaron Stone)

I don't think your issue is with Foreman here, it's something in your Puppet kick setup.  You may want to try puppet-users or ask.pl.com.

foreman-proxy is running /usr/bin/sudo -u root /usr/bin/puppet kick --host XXXXXXXX.compute.internal and the agent appears to be returning a 404

according to http.log.

#2 - 09/01/2015 07:30 AM - Daniel Lobato Garcia

- Priority changed from High to Normal

#3 - 09/02/2015 05:48 AM - Sandeep Sharma

Thanks for the update,

what needs to be done on agent side to resolve this issue.

thanks in advance.

#4 - 09/02/2015 05:52 AM - Dominic Cleal

- Status changed from New to Feedback

I don't know.  I'd suggest you use the two Puppet support resources I mentioned, the puppet-users list or the Ask Puppet Labs website, citing the

command I mentioned above and including your configuration files.  It looks like Foreman is running the correct command, which is as far as I can

help.

#5 - 09/21/2015 04:48 AM - Jon Skarpeteig

What is an issue is that puppet kick is deprecated in Puppet 3, and removed in Puppet 4.

See this ticket for more information: http://links.puppetlabs.com/puppet-kick-deprecation

#6 - 05/17/2017 10:58 AM - Anonymous

- Status changed from Feedback to Resolved
